/*
 * Copyright Bigeon Emmanuel (2014)
 *
 * emmanuel@bigeon.fr
 *
 * This software is a computer program whose purpose is to
 * provide a generic framework for console applications.
 *
 * This software is governed by the CeCILL license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/or redistribute the software under the terms of the CeCILL
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL license and that you accept its terms.
 */
/**
 * gclc:net.bigeon.gclc.manager.SinkOutput.java
 * Created on: Nov 13, 2017
 */
package net.bigeon.gclc.manager;

/*-
 * #%L
 * Generic Command Ligne console
 * %%
 * Copyright (C) 2014 - 2018 bigeon.fr
 * %%
 * This software is governed by the CeCILL  license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL license and that you accept its terms.
 * #L%
 */
/** A console output that absorbs every message.
 *
 * @author Emmanuel Bigeon */
public final class SinkOutput implements ConsoleOutput {

    /** The sink output. */
    public static final ConsoleOutput INSTANCE = new SinkOutput();

    /** Singleton constructor. */
    private SinkOutput() {
        //
    }

    /* (non-Javadoc)
     * @see net.bigeon.gclc.manager.ConsoleOutput#close() */
    @Override
    public void close() {
        //
    }

    /* (non-Javadoc)
     * @see net.bigeon.gclc.manager.ConsoleOutput#isClosed() */
    @Override
    public boolean isClosed() {
        return false;
    }

    /* (non-Javadoc)
     * @see net.bigeon.gclc.manager.ConsoleOutput#print(java.lang.String) */
    @Override
    public void print(final String text) {
        //
    }

    /* (non-Javadoc)
     * @see net.bigeon.gclc.manager.ConsoleOutput#println() */
    @Override
    public void println() {
        //
    }

    /* (non-Javadoc)
     * @see net.bigeon.gclc.manager.ConsoleOutput#println(java.lang.String) */
    @Override
    public void println(final String message) {
        //
    }

}
